Login or Sign Up (Free)
Lost your Password?

OverviewCustomer SuccessesFAQDownload ZSwitcher

Version:
1.0.4.2 for Pixologic® ZBrush® 3.5, 4, 4R2, 4R3, 4R4, 4R5, 4R6, 4R7, 4R8, and 2018
Release Notes

Date Released:
4/3/2018
(Updated for ZBrush 4R8/2018)

System Requirements:
Windows 7, 8, or 10 (32-bit or 64-bit)
Pixologic® ZBrush® 3.5, 4, 4R2, 4R3, 4R4, 4R5, 4R6, 4R7, 4R8, and 2018

Email Address (optional)
Feel free to fill in your email address if you'd like to get notified of the latest developments with ZSwitcher. We will not give your email address to any 3rd party.

Download NowDownload Now
spacer.png, 0 kB
Subscribe to me on YouTube